/**
 * L'eccezione <tt>DataException</tt> indica un errore nel colloquio con la servlet DataServlet.
 *
 * @author  Simone Perina
 */
 
package examples.applet2servlet;  

public class DataException extends Exception
{
   
   /**
    * Crea una eccezione <tt>DataException</tt> senza un messaggio.
    */   
   public DataException()
   {
      super();
   }

   /**
    * Crea una eccezione <tt>DataException</tt> con un messaggio.
    *
    * @param      message e' il messaggio dell'eccezione
    */
   public DataException(String message)
   {
      super(message);
   }
}
