/**
 * Il bean <tt>DataOutput</tt> rappresenta i parametri di output della servlet DataServlet.
 *
 * @author  Simone Perina
 */
 
package examples.applet2servlet; 

import java.io.*;

public class DataOutput implements Serializable 
{
   private String[] names;
   private String[][] items;

	/**
	 * Ritorna i nomi delle colonne della tabella.
	 *
	 * @return i nomi delle colonne della tabella
	 */      
   public String[] getNames() 
   {
      return names;
   }   
   
	/**
	 * Imposta i nomi delle colonne della tabella.
	 *
	 * @param names sono i nomi delle colonne della tabella
	 */   
   public void setNames(String[] names) 
   {
      this.names = names;
   }         
   
	/**
	 * Ritorna il contenuto delle caselle della tabella.
	 *
	 * @return il contenuto delle caselle della tabella
	 */   
   public String[][] getItems() 
   {
      return items;
   }   
   
	/**
	 * Imposta il contenuto delle caselle della tabella.
	 *
	 * @param items sono il contenuto delle caselle della tabella
	 */   
   public void setItems(String[][] items) 
   {
      this.items = items;
   }           
}
   